package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.AlarmDisposeRecordAddCmd;
import com.zcloud.personnel.positioning.dto.AlarmDisposeRecordPageQry;
import com.zcloud.personnel.positioning.dto.AlarmDisposeRecordUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.AlarmDisposeRecordCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmDisposeRecordServiceI {
    PageResponse<AlarmDisposeRecordCO> listPage(AlarmDisposeRecordPageQry qry);

    List<AlarmDisposeRecordCO> listAll();

    AlarmDisposeRecordCO queryById(Long id);

    SingleResponse<AlarmDisposeRecordCO> add(AlarmDisposeRecordAddCmd cmd);

    void edit(AlarmDisposeRecordUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
